Kerbal Space Program - Bug #23179

Turboshaft engines make no sound
07/14/2019 03:59 AM - XLjedi

Status: Confirmed Start date: 07/14/2019
Severity: Low % Done: 10%
Assignee:

Category: Audio

Target version:

Version: 1.7.3 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Breaking Ground

Description

I noticed the new turboshaft engines in 1.7.3 make no sound. If you take a look at the associated part config file, there are no nodes
for "Effects" or "Audio" so maybe just copied one of the existing electro-rotary engine part config files that doesn't make any noise?

The part description for the R121 Turboshaft even mentions that it "emits a pleasantly high pitched whine" so | do suspect it is
supposed to make noise like the other fuel burning engines.

History

#1 - 07/14/2019 04:54 AM - XLjedi

Also... Shouldn't these gas powered turboshaft engines have alternators? My batteries go dead using these because they don't generate any
electricity. Which just seems wrong.

| do acknowledge that the sound of a prop engine may pose a real challenge. As the blades are feathered the sound of the prop should change so
you can tell whether or not you're just batting air or have it properly tuned for optimal thrust at altitude and speed. Currently, the only real indication of
the blades working well is to turn on and watch the Aeronautical Forces Overlay feature. Aside from memorizing the feathered position (Authority
Limiter) of the blades at various speeds and altitude, it would be nice to have some audio clue as to whether or not your props are working efficiently.

Edit: after playing a bit more, and properly mapping power curves with the KAL-1000 | can see that just some simple sound for the engine would be
fine. | tune the things for optimal performance now with the KAL, so | don't really need an audio que.

#2 - 07/18/2019 02:06 AM - talesruan
- Platform OSX added

| have the same problem running on OSX.

#3 - 07/28/2019 03:29 AM - SomeKindaWitch

| have this problem too

#4 - 08/06/2019 08:41 PM - nestor

- Severity changed from Low to Normal

#5 - 10/21/2019 08:04 PM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#8 - 10/21/2019 08:25 PM - just_jim

- Assignee set to just_jim

#9 - 03/04/2020 06:34 PM - just_jim

- Severity changed from Normal to Low
#10 - 04/07/2020 12:39 PM - XLjedi

This one, they did add the alternator for it being a gas-powered engine. So that makes sense. The other rotary engines are all electric so not making
noise is correct for those. It's really just this one "R121 Turboshaft" engine that should make some noise, but doesn't.
I'd classify it as very low priority at this point though. There's almost never a reason to use this liquid fuel engine when its performance is being so
drastically eclipsed by the efficiency of fuel cells in combination with one of the electric rotor engines. Aside from maybe just using it for looks, it was
just an obsolete part at introduction. Although this may be true, | am not a proponent of nerfing the fuel cells! Just let it be.

#11 - 08/05/2020 11:26 AM - Preda59

I just bought the DLC yesterday, it's very disappointing to have no sound when u make your own helicopter. It's look like a mod which doesn’t work
well ... And | see that this bug still lasting since already 1 year !

Please, fix it.

#12 - 08/17/2020 08:51 PM - just_jim
- Assignee deleted (just jim)

#13 - 06/04/2021 11:48 AM - muchozolf

Guuuys, it's been almost two years and there's still no sound. | understand it's not a game-breaking bug, but it sure feels incomplete.
